.Paper .RuleEditor select{
	background: #FAFAFA;
	border:1px solid gainsboro;
	border-radius: 4px;
	padding: 2px 4px;
	width: auto;
}

.Paper .RuleEditor .block{
	padding: 12px;
	margin:12px 0;
	border:1px solid gainsboro;
	border-radius: 4px;
}

.Paper .RuleEditor .block header{
	display: flex;
	align-items: center;
	flex-direction: row;
}

.Paper .RuleEditor .block header select{
	margin:0 0.3em;
}

.Paper .RuleEditor .block:nth-child(2) header select:first-child{
	display: none;
}

.Paper .RuleEditor .block:nth-child(2) .if{
	text-transform: capitalize;
}

.Paper .RuleEditor .rule{
	padding: 6px;
	border:1px solid gainsboro;
	border-bottom: 0;
	
	display: flex;
	align-items: center;
	flex-direction: row;
}

.Paper .RuleEditor .rule:nth-child(2){
	margin-top:12px;
	border-radius: 4px 4px 0 0;
}

.Paper .RuleEditor .rule:last-child{
	border:1px solid gainsboro;
	border-radius:0 0 4px 4px;
}

.RuleEditor .key{
	display: none;
}

.RuleEditor.Wine .key.Wine,
.RuleEditor.Recipe .key.Recipe,
.RuleEditor.Article .key.Article{
	display: block;
}

.Paper .RuleEditor .rule select{
	margin-right: 0.6em;
}

.Paper .RuleEditor .rule *[name="value"]{
	flex: 1;
	width: 100%;
}

.Paper .RuleEditor .rule input[type="text"],
.Paper .RuleEditor .rule input[type="number"]{
	border-bottom:1px solid gainsboro;
	padding: 2px;
}

.Paper .RuleEditor .rule select[name="selector"] option[disabled]{
	display: none;
}

.Paper .RuleEditor .flex{
	flex: 1;
}

.Paper .RuleEditor .controls{
	display: flex;
	flex-direction: row;
}

.Paper .RuleEditor .round{
	border-radius: 6px;
	display: block;
	width: 28px;
	height: 28px;
	line-height: 0;
	font-size:20px;
	padding: 0;
	transition: background 0.3s ease-in-out;
	user-select: none;
}

.Paper .RuleEditor .round:hover{
	background: whitesmoke;
	color:#4187f3;
}

.Paper .RuleEditor .round:active{
	background: gainsboro;
}

.suggestions{
	position: absolute;
	background: whitesmoke;
	box-shadow: 0 12px 42px rgba(0,0,0,0.2);
	padding:6px 0;
	border-radius: 6px;
	border:1px solid gainsboro;
	z-index: 90000;
}

.suggestions .item{
	white-space: nowrap;
	padding: 6px 12px;
	font-size: 14px;
	user-select: none;
	min-width: 160px;
}

.suggestions .item:hover{
	background: gainsboro;
}